mbedtls_psa_mac_operation_t Struct Reference

`#include <crypto_builtin_composites.h>`

Collaboration diagram for mbedtls_psa_mac_operation_t:
[legend]

## Data Fields

psa_algorithm_t | alg
union {
unsigned dummy
mbedtls_psa_hmac_operation_t hmac
mbedtls_cipher_context_t cmac
} | ctx

## Detailed Description

Definition at line 62 of file crypto_builtin_composites.h.

## Field Documentation

## alg

psa_algorithm_t mbedtls_psa_mac_operation_t::alg

Definition at line 64 of file crypto_builtin_composites.h.

## cmac

mbedtls_cipher_context_t mbedtls_psa_mac_operation_t::cmac

Definition at line 72 of file crypto_builtin_composites.h.

##

union { ... } mbedtls_psa_mac_operation_t::ctx

## dummy

unsigned mbedtls_psa_mac_operation_t::dummy

Definition at line 67 of file crypto_builtin_composites.h.

## hmac

mbedtls_psa_hmac_operation_t mbedtls_psa_mac_operation_t::hmac

Definition at line 69 of file crypto_builtin_composites.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_composites.h